QRCode (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.qrcode.encoder, class: QRCode

Package com.google.zxing.qrcode.encoder

# Class QRCode

java.lang.Object
com.google.zxing.qrcode.encoder.QRCode

public final class QRCode extends Object

Author:
  satorux@google.com (Satoru Takabayashi) - creator, dswitkin@google.com (Daniel Switkin) - ported from C++

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `NUM_MASK_PATTERNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QRCode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorCorrectionLevel`
  `getECLevel()`
  `int`
  `getMaskPattern()`
  `ByteMatrix`
  `getMatrix()`
  `Mode`
  `getMode()`
  `Version`
  `getVersion()`
  `static boolean`
  `isValidMaskPattern(int maskPattern)`
  `void`
  `setECLevel(ErrorCorrectionLevel value)`
  `void`
  `setMaskPattern(int value)`
  `void`
  `setMatrix(ByteMatrix value)`
  `void`
  `setMode(Mode value)`
  `void`
  `setVersion(Version version)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NUM_MASK_PATTERNS

    public static final int NUM_MASK_PATTERNS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### QRCode

    public QRCode()

- ## Method Details

  - ### getMode

    public Mode getMode()
    Returns:
      the mode. Not relevant if `EncodeHintType.QR_COMPACT` is selected.

  - ### getECLevel

    public ErrorCorrectionLevel getECLevel()

  - ### getVersion

    public Version getVersion()

  - ### getMaskPattern

    public int getMaskPattern()

  - ### getMatrix

    public ByteMatrix getMatrix()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setMode

    public void setMode(Mode value)

  - ### setECLevel

    public void setECLevel(ErrorCorrectionLevel value)

  - ### setVersion

    public void setVersion(Version version)

  - ### setMaskPattern

    public void setMaskPattern(int value)

  - ### setMatrix

    public void setMatrix(ByteMatrix value)

  - ### isValidMaskPattern

    public static boolean isValidMaskPattern(int maskPattern)